#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		docker
%define		egg_name	docker_py
%define		pypi_name	docker-py
Summary:	An API client for docker written in Python
Name:		python-%{module}
Version:	1.10.6
Release:	2
License:	Apache v2.0
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	6c8b8309dfe9610edb2170bb2d807bd7
Patch0:		unpin-requirements.patch
Patch1:		unicode.patch
URL:		http://docker-py.readthedocs.org/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
# Docker can be remote, so suggest only
Suggests:	docker >= 1.3.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# http://lists.pld-linux.org/mailman/pipermail/pld-devel-en/2016-May/024868.html
%define		_noautoreq_py3egg	backports.ssl-match-hostname ipaddress

%description
A Python 2 library for the Docker Remote API. It does everything the
`docker` command does, but from within Python - run containers, manage
them, pull/push images, etc.

%package -n python3-%{module}
Summary:	An API client for docker written in Python 3
Group:		Libraries/Python
# Docker can be remote, so suggest only
Suggests:	docker >= 1.3.3

%description -n python3-%{module}
A Python 3 library for the Docker Remote API. It does everything the
`docker` command does, but from within Python - run containers, manage
them, pull/push images, etc.

%prep
%setup -q -n docker-py-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%endif
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-docker.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 062e20f
- python 3.6
- release 2 (by relup.sh)

* Sun Nov 27 2016 Elan Ruusamäe <glen@delfi.ee> be7f0d3
- fix python3 build on non-utf8 locale (C)

* Sun Nov 27 2016 Elan Ruusamäe <glen@delfi.ee> 965fc03
- up to 1.10.6

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> bb05d93
- requests 2.11.0 is broken, 2.11.1 is fixed

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> b3671e5
- renamed: unpin-test-requirements.patch -> unpin-requirements.patch

* Thu Sep 29 2016 Elan Ruusamäe <glen@delfi.ee> 72030b2
- up to 1.10.3

* Thu Sep 01 2016 Elan Ruusamäe <glen@delfi.ee> 8bddbbd
- up to 1.9.0

* Sun May 29 2016 Jan Rękorajski <baggins@pld-linux.org> b76f207
- enable python3 module and filter bogus deps
- rel 3

* Wed May 04 2016 Elan Ruusamäe <glen@delfi.ee> caa4bdf
- skip python3 package

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> fd4f3d6
- up to 1.8.1

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 932cfb7
- not python devel

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 99b9003
- up to 1.7.2

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 14f49d8
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e1c7d18
- semi-automatic change: use py_build/py_install macros

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> a059284
- cleanup BR

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> bdab460
- new, version 0.7.1

